## easyssh 1.7.9

=== meson_options.txt ===
option ('ubuntu-bionic-patched-vte', type : 'boolean', value : true)
option ('patched-vte', type : 'boolean', value : false)
option ('with-gpg', type : 'boolean', value : true)

## easyssh 1.7.6

=== debian/changelog ===
easyssh (1.7.6-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Dec 2020 15:50:27 -0500

easyssh (1.7.4-1) unstable; urgency=medium

  * New upstream release.
  * Provide /usr/bin/easyssh via alternatives system.
    (Closes: #972462)

 -- Boyuan Yang <byang@debian.org>  Mon, 19 Oct 2020 10:00:44 -0400

easyssh (1.7.2-1) unstable; urgency=low

  * Initial release.

 -- Boyuan Yang <byang@debian.org>  Wed, 26 Aug 2020 14:32:32 -0400

=== debian/control ===
Source: easyssh
Section: net
Priority: optional
Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 gpg,
 libgee-0.8-dev,
 libgranite-dev,
 libgtk-3-dev,
 libjson-glib-dev,
 libvte-2.91-dev,
 meson,
 python3:any,
 valac (>= 0.16),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/muriloventuroso/easyssh
Vcs-Git: https://salsa.debian.org/debian/easyssh.git
Vcs-Browser: https://salsa.debian.org/debian/easyssh

Package: easyssh
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 com.github.muriloventuroso.easyssh,
Conflicts:
 com.github.muriloventuroso.easyssh,
Replaces:
 com.github.muriloventuroso.easyssh,
Description: Complete, efficient and easy-to-use SSH manager
 This package provides a GUI-based application that can help to
 create and edit SSH connections, groups and customize the terminal.
 The application also supports multiple instances of the same
 connection.

## easyssh 1.7.6+git20210523

=== debian/changelog ===
easyssh (1.7.6+git20210523-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream GitHub master for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 26 May 2021 11:15:09 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: easyssh
 Section: net
 Priority: optional
-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  gpg,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#
# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_configure:
	dh_auto_configure -- \
	    -D ubuntu-bionic-patched-vte=false \
	    -D patched-vte=true

## easyssh 1.7.6+git20211115

=== debian/changelog ===
easyssh (1.7.6+git20211115-1~mx21+1) mx; urgency=medium

  * Repackage to catch up to lastest commits prior to needing granite 6.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 02 Dec 2021 13:59:47 -0500

## easyssh 1.7.9

=== debian/changelog ===
easyssh (1.7.9-5) unstable; urgency=medium

  * QA upload.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.
  * debian/tests/control: Create autopkgtest.

 -- Douglas de Oliveira Santos <dos.douglasoliveirasantos@gmail.com>  Tue, 26 Nov 2024 20:48:40 -0300

easyssh (1.7.9-4) unstable; urgency=medium

  * QA upload.
  * Orphan the package.
  * debian/control: Set maintainer to Debian QA Group.
  * debian/patches/backport/: Backport some upstream fixes:
    + 0001-AppData-Add-launchable-tag.patch
    + 0002-SourceListView-Fix-segfault-when-adding-account.patch

 -- Boyuan Yang <byang@debian.org>  Tue, 26 Sep 2023 11:05:57 -0400

easyssh (1.7.9-3) unstable; urgency=medium

  * debian/watch: Fix Github monitoring.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on valac.

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Feb 2023 20:59:14 -0500

easyssh (1.7.9-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ Boyuan Yang ]
  * Drop usage of alternatives system; use symlink instead.
    (Closes: #972535)
  * debian/easyssh.preinst: Drop easyssh alternatives in configure.

 -- Boyuan Yang <byang@debian.org>  Wed, 31 Aug 2022 13:05:41 -0400

easyssh (1.7.9-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Jan 2022 18:37:28 -0500

easyssh (1.7.8-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Dec 2021 12:36:31 -0500

easyssh (1.7.7-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Boyuan Yang ]
  * New upstream release.
  * debian/control: Bump Standards-Version to 4.6.0.

 -- Boyuan Yang <byang@debian.org>  Sun, 28 Nov 2021 21:52:32 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: easyssh
 Section: net
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  gpg,
@@ -13,8 +12,8 @@
  libvte-2.91-dev,
  meson,
  python3:any,
- valac (>= 0.16),
-Standards-Version: 4.5.1
+ valac,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/muriloventuroso/easyssh
 Vcs-Git: https://salsa.debian.org/debian/easyssh.git

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,6 @@
 %:
 	dh $@
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	    -D ubuntu-bionic-patched-vte=false \

=== debian/tests/control ===
Test-Command: easyssh -h | grep 'Usage:' -A 10
Restrictions: allow-stderr, superficial

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
 https://github.com/muriloventuroso/easyssh/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
